Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.intercept.web
Class FilterInvocation

    java.lang.Object
      org.acegisecurity.intercept.web.FilterInvocation

    public class FilterInvocation

extends Object

Holds objects associated with a HTTP filter.

Guarantees the request and response are instances of `HttpServletRequest` and `HttpServletResponse`, and that there are no `null` objects.

Required so that security system classes can obtain access to the filter environment, as well as the request and response.

Version:
  $Id: FilterInvocation.java,v 1.6 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex, colin sampaleanu

Constructor Summary
`protected` | `FilterInvocation()`
`` | `FilterInvocation(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`

Method Summary
`javax.servlet.FilterChain` | `getChain()`
`String` | `getFullRequestUrl()` Indicates the URL that the user agent used for this request.
`javax.servlet.http.HttpServletRequest` | `getHttpRequest()`
`javax.servlet.http.HttpServletResponse` | `getHttpResponse()`
`javax.servlet.ServletRequest` | `getRequest()`
`String` | `getRequestUrl()`
`javax.servlet.ServletResponse` | `getResponse()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterInvocation

    public FilterInvocation(javax.servlet.ServletRequest request,
                            javax.servlet.ServletResponse response,
                            javax.servlet.FilterChain chain)

### FilterInvocation

    protected FilterInvocation()

Method Detail

### getChain

    public javax.servlet.FilterChain getChain()

### getFullRequestUrl

    public String getFullRequestUrl()

  Indicates the URL that the user agent used for this request.

  The returned URL does not reflect the port number determined from a `PortResolver`.

  Returns:
    the full URL of this request

### getHttpRequest

    public javax.servlet.http.HttpServletRequest getHttpRequest()

### getHttpResponse

    public javax.servlet.http.HttpServletResponse getHttpResponse()

### getRequest

    public javax.servlet.ServletRequest getRequest()

### getRequestUrl

    public String getRequestUrl()

### getResponse

    public javax.servlet.ServletResponse getResponse()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.